> For the complete documentation index, see [llms.txt](https://docs.getlimy.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getlimy.ai/rest-api/api-reference/prompts.md).

# Prompts

## GET /v1/prompts

> List prompts

```json
{"openapi":"3.0.0","info":{"title":"Limy API","version":"1.0"},"tags":[{"name":"prompts"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"PromptsListResponseDto":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"prompt":{"type":"string"},"topicId":{"type":"string","format":"uuid"}},"required":["id","prompt","topicId"]}},"pagination":{"type":"object","properties":{"take":{"type":"integer","minimum":0,"maximum":9007199254740991},"skip":{"type":"integer","minimum":0,"maximum":9007199254740991},"hasMore":{"type":"boolean"}},"required":["take","skip","hasMore"]}},"required":["data","pagination"]}}},"paths":{"/v1/prompts":{"get":{"operationId":"PromptsController_getPrompts","parameters":[{"name":"take","required":false,"in":"query","schema":{"maximum":1000,"exclusiveMinimum":true,"default":50,"type":"integer","minimum":0}},{"name":"skip","required":false,"in":"query","schema":{"minimum":0,"maximum":9007199254740991,"default":0,"type":"integer"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PromptsListResponseDto"}}}}},"summary":"List prompts","tags":["prompts"]}}}}
```
